/*
Copyright (c) 2018 Uber Technologies, Inc.

This source code is licensed under the MIT license found in the
LICENSE file in the root directory of this source tree.
*/
import * as React from 'react';
import StatefulContainer from './stateful-container.js';
import NavigationContainer from './navigation-container.js';
import Calendar from './calendar.js';

function StatefulComponent(props) {
  return React.createElement(StatefulContainer, props, function (extendedProps) {
    return React.createElement(NavigationContainer, extendedProps, function (componentProps) {
      return React.createElement(Calendar, componentProps);
    });
  });
}

StatefulComponent.defaultProps = {
  initialState: {
    value: null
  },
  stateReducer: function stateReducer(type, nextState) {
    return nextState;
  },
  onSelect: function onSelect() {}
};
export default StatefulComponent;